import 'package:flutter/widgets.dart';
import 'package:wyatt_bloc_helper/wyatt_bloc_helper.dart';
import 'package:wyatt_clean_code/presentation/features/counter/blocs/counter_cubit.dart';
import 'package:wyatt_clean_code/presentation/features/counter/widgets/counter_text.dart';

class CounterTextConsumer extends CubitConsumerScreen<CounterCubit, int> {
  const CounterTextConsumer({super.key});

  @override
  Widget onBuild(BuildContext context, int state) => CounterText(count: state);
}
